package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[数据同步方向]
 */
@Component("ionicdemo_CodeList97CodeList")
public class CodeList97CodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_CodeList97");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("IN");
		item0.setId("IN");
		item0.setText("输入");
		item0.setLabel("输入");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("IN",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("OUT");
		item1.setId("OUT");
		item1.setText("输出");
		item1.setLabel("输出");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("OUT",item1);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}